### Method

# St ThemeNode equal

#### Declaration [src]

    gboolean
    st_theme_node_equal (
      StThemeNode* node_a,
      StThemeNode* node_b
    )

#### Description [src]

Compare two `StThemeNodes`. Two nodes which compare equal will match the same CSS rules and have the same style properties. However, two nodes that have ended up with identical style properties do not necessarily compare equal.

In detail, `node_a` and `node_b` are considered equal if and only if:

- they share the same `StTheme` and `StThemeContext`
- they have the same parent
- they have the same element type
- their id, class, pseudo-class and inline-style match.

#### Parameters

`node_b`

  Type: `StThemeNode`

  Second `StThemeNode`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `node_a` equals `node_b`.